#Include "Ninfa3d.bi"

dim Shared camera As nCAMERA

'Enable vertical synch.
EnableVsync()

'Starts the Ninfa3D Engine
InitEngine(1024,768,32,0)
	BackGroundColor(128,128,128)'Background Color
	AmbientLight(64,64,64)'Ambient color

'Include the file "SampleFuntions.bi.
'It contains useful features, such as drawing the interface and create the test area.
#Include "SampleFunctions.bi"

'Create a camera
camera = CreateCameraFPS(100,1)
	PositionEntity(camera,1400,140,1400)' Position

	
'Ninfa3d, As "Irrlichter" used to display graphics and load files,
'you can load files like "zip" and "PK3".
'When you load a file "zip" or "PK3",
'all content is loaded into memory and only have to tell you the name of the file to load.
LoadZip("media/map-20kdm2.pk3")

'Loading the map BSP.
Dim As nMESH BSPmap = LoadMesh("20kdm2.bsp")

While(EngineRun)'Returns 1 if the engine is running.

	'Begins scene
	BeginScene()
	
	'By pressing the "ESCAPE" closes the engine.
	If KeyHit(KEY_ESCAPE) Then CloseEngine()
	
	'Update the Engine.
	'Changing the value (only affects the physics) that will update the
	'Physical faster or slower.
	UpdateEngine(0)

	'Displays the interface (FPS and triangles)
	Interface()

	'End the scene
	EndScene()
	
Wend

'Ends Ninfa3D Engine
EndEngine()